Mysql2 is not part of the bundle. Add it to Gemfile

Hello,

I am trying to install GitLab on SUSE, I am following this manual: https://github.com/n3rdbeere/Installation-guide-for-GitLab6-on-SLES11/blob/634b011fe98e194655190b875385918884ef77e2/README.md

I am now stucked on this step: bundle exec rake gitlab:check RAILS_ENV=production

Here is an error after that command:

Checking Environment …

Git configured for git user? … yes
Has python2? … yes
python2 is supported version? … yes

Checking Environment … Finished

Checking GitLab Shell …

GitLab Shell version >= 1.7.1 ? … OK (1.7.1)
Repo base directory exists? … yes
Repo base directory is a symlink? … no
Repo base owned by git:git? … yes
Repo base access is drwxrws—? … yes
update hook up-to-date? … yes
update hooks in repos are links: … can’t check, you have no projects

Checking GitLab Shell … Finished

Checking Sidekiq …

Running? … no
Try fixing it:
sudo -u git -H bundle exec rake sidekiq:start RAILS_ENV=production
For more information see:
doc/install/installation.md in section “Install Init Script”
see log/sidekiq.log for possible errors
Please fix the error above and rerun the checks.

Checking Sidekiq … Finished

Checking GitLab …

Database config exists? … yes
Database is SQLite … no
All migrations up? … rake aborted!
Please install the mysql2 adapter: gem install activerecord-mysql2-adapter (mysql2 is not part of the bundle. Add it to Gemfile.)
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/activerecord-3.2.13/lib/active_record/connection_adapters/mysql2_adapter.rb:3:in <top (required)>’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/backports-3.3.2/lib/backports/tools.rb:328:inrequire’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/backports-3.3.2/lib/backports/tools.rb:328:in require_with_backports’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:251:inblock in require’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:236:in load_dependency’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:251:inrequire’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/activerecord-3.2.13/lib/active_record/connection_adapters/abstract/connection_specification.rb:50:in resolve_hash_connection’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/activerecord-3.2.13/lib/active_record/connection_adapters/abstract/connection_specification.rb:41:inresolve_string_connection’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/activerecord-3.2.13/lib/active_record/connection_adapters/abstract/connection_specification.rb:25:in spec’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/activerecord-3.2.13/lib/active_record/connection_adapters/abstract/connection_specification.rb:130:inestablish_connection’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/activerecord-3.2.13/lib/active_record/railtie.rb:82:in block (2 levels) in class:Railtie
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/activesupport-3.2.13/lib/active_support/lazy_load_hooks.rb:36:ininstance_eval’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/activesupport-3.2.13/lib/active_support/lazy_load_hooks.rb:36:in execute_hook’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/activesupport-3.2.13/lib/active_support/lazy_load_hooks.rb:26:inblock in on_load’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/activesupport-3.2.13/lib/active_support/lazy_load_hooks.rb:25:in each’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/activesupport-3.2.13/lib/active_support/lazy_load_hooks.rb:25:inon_load’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/activerecord-3.2.13/lib/active_record/railtie.rb:74:in block in class:Railtie
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/railties-3.2.13/lib/rails/initializable.rb:30:ininstance_exec’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/railties-3.2.13/lib/rails/initializable.rb:30:in run’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/railties-3.2.13/lib/rails/initializable.rb:55:inblock in run_initializers’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/railties-3.2.13/lib/rails/initializable.rb:54:in each’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/railties-3.2.13/lib/rails/initializable.rb:54:inrun_initializers’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/railties-3.2.13/lib/rails/application.rb:136:in initialize!’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/railties-3.2.13/lib/rails/railtie/configurable.rb:30:inmethod_missing’
/home/git/gitlab/config/environment.rb:5:in <top (required)>’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/backports-3.3.2/lib/backports/tools.rb:328:inrequire’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/backports-3.3.2/lib/backports/tools.rb:328:in require_with_backports’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:251:inblock in require’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:236:in load_dependency’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:251:inrequire’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/railties-3.2.13/lib/rails/application.rb:103:in require_environment!’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/railties-3.2.13/lib/rails/application.rb:297:inblock (2 levels) in initialize_tasks’
Tasks: TOP => db:migrate:status => environment
(See full trace by running task with --trace)
yes
GitLab config exists? … yes
GitLab config outdated? … no
Log directory writable? … yes
Tmp directory writable? … yes
Init script exists? … yes
Init script up-to-date? … yes
projects have namespace: … can’t check, you have no projects
Projects have satellites? … can’t check, you have no projects
Redis version >= 2.0.0? … yes
Your git bin path is “/usr/bin/git”
Git version >= 1.7.10 ? … yes (2.11.1)

Checking GitLab … Finished

here is output of gem list

*** LOCAL GEMS ***

activerecord-mysql2-adapter (0.0.3)
bigdecimal (default: 1.2.0)
bundler (1.14.4)
charlock_holmes (0.6.9.4)
io-console (default: 0.4.2)
json (default: 1.7.7)
minitest (default: 4.3.2)
modernizr-rails (2.6.2)
mysql2 (0.2.7)
nokogiri (1.5.10)
psych (default: 2.0.0)
rake (default: 0.9.6)
rdoc (default: 4.0.0)
rubygems-update (2.6.10)
test-unit (default: 2.0.0.0)

here is my Gemfile

source “http://rubygems.org

def darwin_only(require_as)
RUBY_PLATFORM.include?(‘darwin’) && require_as
end

def linux_only(require_as)
RUBY_PLATFORM.include?(‘linux’) && require_as
end

gem “rails”, “3.2.13”

Supported DBs

gem “mysql2”, group: :mysql
gem “pg”, group: :postgres

Auth

gem “devise”, ‘~> 2.2’
gem ‘omniauth’, “~> 1.1.3”
gem ‘omniauth-google-oauth2’
gem ‘omniauth-twitter’
gem ‘omniauth-github’

Extracting information from a git repository

Provide access to Gitlab::Git library

gem “gitlab_git”, ‘2.3.1’

Ruby/Rack Git Smart-HTTP Server Handler

gem ‘gitlab-grack’, ‘~> 1.0.1’, require: ‘grack’

LDAP Auth

gem ‘gitlab_omniauth-ldap’, ‘1.0.3’, require: “omniauth-ldap”

Syntax highlighter

gem “gitlab-pygments.rb”, ‘~> 0.3.2’, require: ‘pygments.rb’

Git Wiki

gem “gitlab-gollum-lib”, “~> 1.0.1”, require: ‘gollum-lib’

Language detection

gem “github-linguist”, require: “linguist”

API

gem “grape”, “~> 0.4.1”
gem “grape-entity”, “~> 0.3.0”

###############################################################
#activerecord-mysql2-adapter-0.0.3.gem########################
#gem ‘activerecord-mysql2-adapter’, ‘~>0.0.3’
################################################################

Format dates and times

based on human-friendly examples

gem “stamp”

Enumeration fields

gem ‘enumerize’

Pagination

gem “kaminari”, “~> 0.14.1”

HAML

gem “haml-rails”

Files attachments

gem “carrierwave”

for aws storage

gem “fog”, “~> 1.3.1”, group: :aws

Authorization

gem “six”

Seed data

gem “seed-fu”

Markdown to HTML

gem “redcarpet”, “~> 2.2.2”
gem “github-markup”, “~> 0.7.4”, require: ‘github/markup’

Asciidoc to HTML

gem “asciidoctor”

Application server

gem “unicorn”, ‘~> 4.6.3’, group: :unicorn

State machine

gem “state_machine”

Issue tags

gem “acts-as-taggable-on”

Background jobs

gem ‘slim’
gem ‘sinatra’, require: nil
gem ‘sidekiq’

HTTP requests

gem “httparty”

Colored output to console

gem “colored”

GitLab settings

gem ‘settingslogic’

Misc

gem “foreman”

Cache

gem “redis-rails”

Campfire integration

gem ‘tinder’, ‘~> 1.9.2’

HipChat integration

gem “hipchat”, “~> 0.9.0”

d3

gem “d3_rails”, “~> 3.1.4”

underscore-rails

gem “underscore-rails”, “~> 1.4.4”

Sanitize user input

gem “sanitize”

group :assets do
gem “sass-rails”
gem “coffee-rails”
gem “uglifier”
gem “therubyracer”
gem ‘turbolinks’
gem ‘jquery-turbolinks’

gem ‘chosen-rails’, “1.0.0”
gem ‘select2-rails’
gem ‘jquery-atwho-rails’, “0.3.0”
gem “jquery-rails”, “2.1.3”
gem “jquery-ui-rails”, “2.0.2”
gem “modernizr-rails”, “2.6.2”
gem “raphael-rails”, “~> 2.1.2”
gem ‘bootstrap-sass’
gem “font-awesome-rails”
gem “gemoji”, “~> 1.2.1”, require: ‘emoji/railtie’
gem “gon”
end

group :development do
gem “annotate”, git: “https://github.com/ctran/annotate_models.git
gem “letter_opener”
gem ‘quiet_assets’, ‘~> 1.0.1’
gem ‘rack-mini-profiler’

Better errors handler

gem ‘better_errors’
gem ‘binding_of_caller’

gem ‘rails_best_practices’

Docs generator

gem “sdoc”

thin instead webrick

gem ‘thin’
end
group :development, :test do
gem ‘coveralls’, require: false
gem ‘rails-dev-tweaks’
gem ‘spinach-rails’
gem “rspec-rails”
gem “capybara”
gem “pry”
gem “awesome_print”
gem “database_cleaner”
gem “launchy”
gem ‘factory_girl_rails’

Prevent occasions where minitest is not bundled in packaged versions of ruby (see #3826)

gem ‘minitest’, ‘~> 4.7.0’

Generate Fake data

gem “ffaker”

Guard

gem ‘guard-rspec’
gem ‘guard-spinach’

Notification

gem ‘rb-fsevent’, require: darwin_only(‘rb-fsevent’)
gem ‘growl’, require: darwin_only(‘growl’)
gem ‘rb-inotify’, require: linux_only(‘rb-inotify’)

PhantomJS driver for Capybara

gem ‘poltergeist’, ‘~> 1.4.1’

gem ‘spork’, ‘~> 1.0rc’
gem ‘jasmine’
end

group :test do
gem “simplecov”, require: false
gem “shoulda-matchers”, “~> 2.1.0”
gem ‘email_spec’
gem “webmock”
gem ‘test_after_commit’
end

group :production do
gem “gitlab_meta”, ‘6.0’
end

here is my Gemfile.lock
GIT
remote: https://github.com/ctran/annotate_models.git
revision: 18a4e2eb77c8f3ef695b563e4a7ca45dfede819b
specs:
annotate (2.6.0.beta2)
activerecord (>= 2.3.0)
rake (>= 0.8.7)

GEM
remote: https://rubygems.org/
specs:
actionmailer (3.2.13)
actionpack (= 3.2.13)
mail (~> 2.5.3)
actionpack (3.2.13)
activemodel (= 3.2.13)
activesupport (= 3.2.13)
builder (~> 3.0.0)
erubis (~> 2.7.0)
journey (~> 1.0.4)
rack (~> 1.4.5)
rack-cache (~> 1.2)
rack-test (~> 0.6.1)
sprockets (~> 2.2.1)
activemodel (3.2.13)
activesupport (= 3.2.13)
builder (~> 3.0.0)
activerecord (3.2.13)
activemodel (= 3.2.13)
activesupport (= 3.2.13)
arel (~> 3.0.2)
tzinfo (~> 0.3.29)
activeresource (3.2.13)
activemodel (= 3.2.13)
activesupport (= 3.2.13)
activesupport (3.2.13)
i18n (= 0.6.1)
multi_json (~> 1.0)
acts-as-taggable-on (2.4.1)
rails (>= 3, < 5)
addressable (2.3.4)
arel (3.0.2)
asciidoctor (0.1.3)
awesome_print (1.1.0)
backports (3.3.2)
bcrypt-ruby (3.1.1)
better_errors (0.9.0)
coderay (>= 1.0.0)
erubis (>= 2.6.6)
binding_of_caller (0.7.2)
debug_inspector (>= 0.0.1)
bootstrap-sass (2.3.2.0)
sass (~> 3.2)
builder (3.0.4)
capybara (2.1.0)
mime-types (>= 1.16)
nokogiri (>= 1.3.3)
rack (>= 1.0.0)
rack-test (>= 0.5.4)
xpath (~> 2.0)
carrierwave (0.8.0)
activemodel (>= 3.2.0)
activesupport (>= 3.2.0)
celluloid (0.14.1)
timers (>= 1.0.0)
charlock_holmes (0.6.9.4)
childprocess (0.3.9)
ffi (~> 1.0, >= 1.0.11)
chosen-rails (1.0.0)
coffee-rails (>= 3.2)
compass-rails (>= 1.0)
railties (>= 3.0)
sass-rails (>= 3.2)
chunky_png (1.2.8)
cliver (0.2.1)
code_analyzer (0.3.2)
sexp_processor
coderay (1.0.9)
coffee-rails (3.2.2)
coffee-script (>= 2.2.0)
railties (~> 3.2.0)
coffee-script (2.2.0)
coffee-script-source
execjs
coffee-script-source (1.6.2)
colored (1.2)
colorize (0.5.8)
compass (0.12.2)
chunky_png (~> 1.2)
fssm (>= 0.2.7)
sass (~> 3.1)
compass-rails (1.0.3)
compass (>= 0.12.2, < 0.14)
connection_pool (1.1.0)
coveralls (0.6.7)
colorize
multi_json (~> 1.3)
rest-client
simplecov (>= 0.7)
thor
crack (0.4.0)
safe_yaml (~> 0.9.0)
d3_rails (3.1.10)
railties (>= 3.1.0)
daemons (1.1.9)
database_cleaner (1.1.1)
debug_inspector (0.0.2)
descendants_tracker (0.0.1)
devise (2.2.5)
bcrypt-ruby (~> 3.0)
orm_adapter (~> 0.1)
railties (~> 3.1)
warden (~> 1.2.1)
diff-lcs (1.2.4)
dotenv (0.8.0)
email_spec (1.4.0)
launchy (~> 2.1)
mail (~> 2.2)
enumerize (0.6.1)
activesupport (>= 3.2)
erubis (2.7.0)
escape_utils (0.2.4)
eventmachine (1.0.3)
excon (0.13.4)
execjs (1.4.0)
multi_json (~> 1.0)
factory_girl (4.2.0)
activesupport (>= 3.0.0)
factory_girl_rails (4.2.1)
factory_girl (~> 4.2.0)
railties (>= 3.0.0)
faraday (0.8.7)
multipart-post (~> 1.1)
faraday_middleware (0.9.0)
faraday (>= 0.7.4, < 0.9)
ffaker (1.16.1)
ffi (1.9.0)
fog (1.3.1)
builder
excon (~> 0.13.0)
formatador (~> 0.2.0)
mime-types
multi_json (~> 1.0)
net-scp (~> 1.0.4)
net-ssh (>= 2.1.3)
nokogiri (~> 1.5.0)
ruby-hmac
font-awesome-rails (3.2.1.2)
railties (>= 3.2, < 5.0)
foreman (0.63.0)
dotenv (>= 0.7)
thor (>= 0.13.6)
formatador (0.2.4)
fssm (0.2.10)
gemoji (1.2.1)
gherkin-ruby (0.3.0)
github-linguist (2.3.4)
charlock_holmes (~> 0.6.6)
escape_utils (~> 0.2.3)
mime-types (~> 1.19)
pygments.rb (>= 0.2.13)
github-markdown (0.5.3)
github-markup (0.7.5)
gitlab-gollum-lib (1.0.1)
github-markdown (~> 0.5.3)
github-markup (>= 0.7.5, < 1.0.0)
gitlab-grit (>= 2.5.1)
nokogiri (~> 1.5.9)
pygments.rb (~> 0.4.2)
sanitize (~> 2.0.3)
stringex (~> 1.5.1)
gitlab-grack (1.0.1)
rack (~> 1.4.1)
gitlab-grit (2.6.0)
charlock_holmes (~> 0.6.9)
diff-lcs (~> 1.1)
mime-types (~> 1.15)
posix-spawn (~> 0.3.6)
yajl-ruby (~> 1.1.0)
gitlab_git (2.3.1)
activesupport (~> 3.2.13)
github-linguist (~> 2.3.4)
gitlab-grit (~> 2.6.0)
gitlab_meta (6.0)
gitlab_omniauth-ldap (1.0.3)
net-ldap (~> 0.3.1)
omniauth (~> 1.0)
pyu-ruby-sasl (~> 0.0.3.1)
rubyntlm (~> 0.1.1)
gon (4.1.1)
actionpack (>= 2.3.0)
json
grape (0.4.1)
activesupport
builder
hashie (>= 1.2.0)
multi_json (>= 1.3.2)
multi_xml (>= 0.5.2)
rack (>= 1.3.0)
rack-accept
rack-mount
virtus
grape-entity (0.3.0)
activesupport
multi_json (>= 1.3.2)
growl (1.0.3)
guard (1.8.1)
formatador (>= 0.2.4)
listen (>= 1.0.0)
lumberjack (>= 1.0.2)
pry (>= 0.9.10)
thor (>= 0.14.6)
guard-rspec (3.0.2)
guard (>= 1.8)
rspec (~> 2.13)
guard-spinach (0.0.2)
guard (>= 1.1)
spinach
haml (4.0.3)
tilt
haml-rails (0.4)
actionpack (>= 3.1, < 4.1)
activesupport (>= 3.1, < 4.1)
haml (>= 3.1, < 4.1)
railties (>= 3.1, < 4.1)
hashie (1.2.0)
hike (1.2.3)
hipchat (0.9.0)
httparty
http_parser.rb (0.5.3)
httparty (0.11.0)
multi_json (~> 1.0)
multi_xml (>= 0.5.2)
httpauth (0.2.0)
i18n (0.6.1)
jasmine (1.3.2)
jasmine-core (~> 1.3.1)
rack (~> 1.0)
rspec (>= 1.3.1)
selenium-webdriver (>= 0.1.3)
jasmine-core (1.3.1)
journey (1.0.4)
jquery-atwho-rails (0.3.0)
jquery-rails (2.1.3)
railties (>= 3.1.0, < 5.0)
thor (~> 0.14)
jquery-turbolinks (1.0.0)
railties (>= 3.1.0)
turbolinks
jquery-ui-rails (2.0.2)
jquery-rails
railties (>= 3.1.0)
json (1.7.7)
jwt (0.1.8)
multi_json (>= 1.5)
kaminari (0.14.1)
actionpack (>= 3.0.0)
activesupport (>= 3.0.0)
kgio (2.8.0)
launchy (2.3.0)
addressable (~> 2.3)
letter_opener (1.1.1)
launchy (~> 2.2)
libv8 (3.11.8.17)
listen (1.2.2)
rb-fsevent (>= 0.9.3)
rb-inotify (>= 0.9)
rb-kqueue (>= 0.2)
lumberjack (1.0.3)
mail (2.5.4)
mime-types (~> 1.16)
treetop (~> 1.4.8)
method_source (0.8.1)
mime-types (1.25)
minitest (4.7.4)
modernizr-rails (2.6.2)
sprockets (~> 2.0)
multi_json (1.7.9)
multi_xml (0.5.4)
multipart-post (1.2.0)
mysql2 (0.3.11)
net-ldap (0.3.1)
net-scp (1.0.4)
net-ssh (>= 1.99.1)
net-ssh (2.6.8)
nokogiri (1.5.10)
oauth (0.4.7)
oauth2 (0.8.1)
faraday (~> 0.8)
httpauth (~> 0.1)
jwt (~> 0.1.4)
multi_json (~> 1.0)
rack (~> 1.2)
omniauth (1.1.4)
hashie (>= 1.2, < 3)
rack
omniauth-github (1.1.0)
omniauth (~> 1.0)
omniauth-oauth2 (~> 1.1)
omniauth-google-oauth2 (0.1.19)
omniauth (~> 1.0)
omniauth-oauth2
omniauth-oauth (1.0.1)
oauth
omniauth (~> 1.0)
omniauth-oauth2 (1.1.1)
oauth2 (~> 0.8.0)
omniauth (~> 1.0)
omniauth-twitter (0.0.17)
multi_json (~> 1.3)
omniauth-oauth (~> 1.0)
orm_adapter (0.4.0)
pg (0.15.1)
poltergeist (1.4.1)
capybara (~> 2.1.0)
cliver (~> 0.2.1)
multi_json (~> 1.0)
websocket-driver (>= 0.2.0)
polyglot (0.3.3)
posix-spawn (0.3.6)
pry (0.9.12.2)
coderay (~> 1.0.5)
method_source (~> 0.8)
slop (~> 3.4)
pygments.rb (0.4.2)
posix-spawn (~> 0.3.6)
yajl-ruby (~> 1.1.0)
pyu-ruby-sasl (0.0.3.3)
quiet_assets (1.0.2)
railties (>= 3.1, < 5.0)
rack (1.4.5)
rack-accept (0.4.5)
rack (>= 0.4)
rack-cache (1.2)
rack (>= 0.4)
rack-mini-profiler (0.1.26)
rack (>= 1.1.3)
rack-mount (0.8.3)
rack (>= 1.0.0)
rack-protection (1.5.0)
rack
rack-ssl (1.3.3)
rack
rack-test (0.6.2)
rack (>= 1.0)
rails (3.2.13)
actionmailer (= 3.2.13)
actionpack (= 3.2.13)
activerecord (= 3.2.13)
activeresource (= 3.2.13)
activesupport (= 3.2.13)
bundler (~> 1.0)
railties (= 3.2.13)
rails-dev-tweaks (0.6.1)
actionpack (~> 3.1)
railties (~> 3.1)
rails_best_practices (1.13.8)
activesupport
awesome_print
code_analyzer
colored
erubis
i18n
ruby-progressbar
railties (3.2.13)
actionpack (= 3.2.13)
activesupport (= 3.2.13)
rack-ssl (~> 1.3.2)
rake (>= 0.8.7)
rdoc (~> 3.4)
thor (>= 0.14.6, < 2.0)
raindrops (0.11.0)
rake (10.1.0)
raphael-rails (2.1.2)
rb-fsevent (0.9.3)
rb-inotify (0.9.0)
ffi (>= 0.5.0)
rb-kqueue (0.2.0)
ffi (>= 0.5.0)
rdoc (3.12.2)
json (~> 1.4)
redcarpet (2.2.2)
redis (3.0.4)
redis-actionpack (3.2.4)
actionpack (~> 3.2.0)
redis-rack (~> 1.4.4)
redis-store (~> 1.1.4)
redis-activesupport (3.2.4)
activesupport (~> 3.2.0)
redis-store (~> 1.1.0)
redis-namespace (1.3.1)
redis (~> 3.0.0)
redis-rack (1.4.4)
rack (~> 1.4.0)
redis-store (~> 1.1.4)
redis-rails (3.2.4)
redis-actionpack (~> 3.2.4)
redis-activesupport (~> 3.2.4)
redis-store (~> 1.1.4)
redis-store (1.1.4)
redis (>= 2.2)
ref (1.0.5)
rest-client (1.6.7)
mime-types (>= 1.16)
rspec (2.13.0)
rspec-core (~> 2.13.0)
rspec-expectations (~> 2.13.0)
rspec-mocks (~> 2.13.0)
rspec-core (2.13.1)
rspec-expectations (2.13.0)
diff-lcs (>= 1.1.3, < 2.0)
rspec-mocks (2.13.1)
rspec-rails (2.13.2)
actionpack (>= 3.0)
activesupport (>= 3.0)
railties (>= 3.0)
rspec-core (~> 2.13.0)
rspec-expectations (~> 2.13.0)
rspec-mocks (~> 2.13.0)
ruby-hmac (0.4.0)
ruby-progressbar (1.2.0)
rubyntlm (0.1.1)
rubyzip (0.9.9)
safe_yaml (0.9.3)
sanitize (2.0.3)
nokogiri (>= 1.4.4, < 1.6)
sass (3.2.9)
sass-rails (3.2.6)
railties (~> 3.2.0)
sass (>= 3.1.10)
tilt (~> 1.3)
sdoc (0.3.20)
json (>= 1.1.3)
rdoc (~> 3.10)
seed-fu (2.2.0)
activerecord (~> 3.1)
activesupport (~> 3.1)
select2-rails (3.4.2)
sass-rails
thor (~> 0.14)
selenium-webdriver (2.33.0)
childprocess (>= 0.2.5)
multi_json (~> 1.0)
rubyzip
websocket (~> 1.0.4)
settingslogic (2.0.9)
sexp_processor (4.2.1)
shoulda-matchers (2.1.0)
activesupport (>= 3.0.0)
sidekiq (2.14.0)
celluloid (>= 0.14.1)
connection_pool (>= 1.0.0)
json
redis (>= 3.0.4)
redis-namespace
simple_oauth (0.1.9)
simplecov (0.7.1)
multi_json (~> 1.0)
simplecov-html (~> 0.7.1)
simplecov-html (0.7.1)
sinatra (1.4.3)
rack (~> 1.4)
rack-protection (~> 1.4)
tilt (~> 1.3, >= 1.3.4)
six (0.2.0)
slim (2.0.0)
temple (~> 0.6.5)
tilt (~> 1.3, >= 1.3.3)
slop (3.4.5)
spinach (0.8.3)
colorize (= 0.5.8)
gherkin-ruby (~> 0.3.0)
spinach-rails (0.2.1)
capybara (>= 2.0.0)
railties (>= 3)
spinach (>= 0.4)
spork (1.0.0rc2)
sprockets (2.2.2)
hike (~> 1.2)
multi_json (~> 1.0)
rack (~> 1.0)
tilt (~> 1.1, != 1.3.0)
stamp (0.5.0)
state_machine (1.2.0)
stringex (1.5.1)
temple (0.6.5)
test_after_commit (0.2.0)
therubyracer (0.11.4)
libv8 (~> 3.11.8.12)
ref
thin (1.5.1)
daemons (>= 1.0.9)
eventmachine (>= 0.12.6)
rack (>= 1.0.0)
thor (0.18.1)
tilt (1.4.1)
timers (1.1.0)
tinder (1.9.2)
eventmachine (~> 1.0)
faraday (~> 0.8)
faraday_middleware (~> 0.9)
hashie (~> 1.0)
json (~> 1.7.5)
mime-types (~> 1.19)
multi_json (~> 1.5)
twitter-stream (~> 0.1)
treetop (1.4.14)
polyglot
polyglot (>= 0.3.1)
turbolinks (1.2.0)
coffee-rails
twitter-stream (0.1.16)
eventmachine (>= 0.12.8)
http_parser.rb (~> 0.5.1)
simple_oauth (~> 0.1.4)
tzinfo (0.3.37)
uglifier (2.1.1)
execjs (>= 0.3.0)
multi_json (~> 1.0, >= 1.0.2)
underscore-rails (1.4.4)
unicorn (4.6.3)
kgio (~> 2.6)
rack
raindrops (~> 0.7)
virtus (0.5.5)
backports (~> 3.3)
descendants_tracker (~> 0.0.1)
warden (1.2.3)
rack (>= 1.0)
webmock (1.11.0)
addressable (>= 2.2.7)
crack (>= 0.3.2)
websocket (1.0.7)
websocket-driver (0.3.0)
xpath (2.0.0)
nokogiri (~> 1.3)
yajl-ruby (1.1.0)

PLATFORMS
ruby

DEPENDENCIES
acts-as-taggable-on
annotate!
asciidoctor
awesome_print
better_errors
binding_of_caller
bootstrap-sass
capybara
carrierwave
chosen-rails (= 1.0.0)
coffee-rails
colored
coveralls
d3_rails (~> 3.1.4)
database_cleaner
devise (~> 2.2)
email_spec
enumerize
factory_girl_rails
ffaker
fog (~> 1.3.1)
font-awesome-rails
foreman
gemoji (~> 1.2.1)
github-linguist
github-markup (~> 0.7.4)
gitlab-gollum-lib (~> 1.0.1)
gitlab-grack (~> 1.0.1)
gitlab-pygments.rb (~> 0.3.2)
gitlab_git (= 2.3.1)
gitlab_meta (= 6.0)
gitlab_omniauth-ldap (= 1.0.3)
gon
grape (~> 0.4.1)
grape-entity (~> 0.3.0)
growl
guard-rspec
guard-spinach
haml-rails
hipchat (~> 0.9.0)
httparty
jasmine
jquery-atwho-rails (= 0.3.0)
jquery-rails (= 2.1.3)
jquery-turbolinks
jquery-ui-rails (= 2.0.2)
kaminari (~> 0.14.1)
launchy
letter_opener
minitest (~> 4.7.0)
modernizr-rails (= 2.6.2)
mysql2
omniauth (~> 1.1.3)
omniauth-github
omniauth-google-oauth2
omniauth-twitter
pg
poltergeist (~> 1.4.1)
pry
quiet_assets (~> 1.0.1)
rack-mini-profiler
rails (= 3.2.13)
rails-dev-tweaks
rails_best_practices
raphael-rails (~> 2.1.2)
rb-fsevent
rb-inotify
redcarpet (~> 2.2.2)
redis-rails
rspec-rails
sanitize
sass-rails
sdoc
seed-fu
select2-rails
settingslogic
shoulda-matchers (~> 2.1.0)
sidekiq
simplecov
sinatra
six
slim
spinach-rails
spork (~> 1.0rc)
stamp
state_machine
test_after_commit
therubyracer
thin
tinder (~> 1.9.2)
turbolinks
uglifier
underscore-rails (~> 1.4.4)
unicorn (~> 4.6.3)
webmock

BUNDLED WITH
1.14.4

I tried to uninstall mysql2 and install newer version / older - but still the same issue. Can anybody help me with this issue? Thanks

Checking Environment …

Git configured for git user? … yes
Has python2? … yes
python2 is supported version? … yes

Checking Environment … Finished

Checking GitLab Shell …

GitLab Shell version >= 1.7.1 ? … OK (1.7.1)
Repo base directory exists? … yes
Repo base directory is a symlink? … no
Repo base owned by git:git? … yes
Repo base access is drwxrws—? … yes
update hook up-to-date? … yes
update hooks in repos are links: … can’t check, you have no projects

Checking GitLab Shell … Finished

Checking Sidekiq …

Running? … no
Try fixing it:
sudo -u git -H bundle exec rake sidekiq:start RAILS_ENV=production
For more information see:
doc/install/installation.md in section “Install Init Script”
see log/sidekiq.log for possible errors
Please fix the error above and rerun the checks.

Checking Sidekiq … Finished

Checking GitLab …

Database config exists? … yes
Database is SQLite … no
All migrations up? … rake aborted!
Please install the mysql2 adapter: gem install activerecord-mysql2-adapter (mysql2 is not part of the bundle. Add it to Gemfile.)
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/activerecord-3.2.13/lib/active_record/connection_adapters/mysql2_adapter.rb:3:in <top (required)>' /home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/backports-3.3.2/lib/backports/tools.rb:328:in require’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/backports-3.3.2/lib/backports/tools.rb:328:in require_with_backports' /home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:251:in block in require’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:236:in load_dependency' /home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:251:in require’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/activerecord-3.2.13/lib/active_record/connection_adapters/abstract/connection_specification.rb:50:in resolve_hash_connection' /home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/activerecord-3.2.13/lib/active_record/connection_adapters/abstract/connection_specification.rb:41:in resolve_string_connection’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/activerecord-3.2.13/lib/active_record/connection_adapters/abstract/connection_specification.rb:25:in spec' /home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/activerecord-3.2.13/lib/active_record/connection_adapters/abstract/connection_specification.rb:130:in establish_connection’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/activerecord-3.2.13/lib/active_record/railtie.rb:82:in block (2 levels) in <class:Railtie>' /home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/activesupport-3.2.13/lib/active_support/lazy_load_hooks.rb:36:in instance_eval’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/activesupport-3.2.13/lib/active_support/lazy_load_hooks.rb:36:in execute_hook' /home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/activesupport-3.2.13/lib/active_support/lazy_load_hooks.rb:26:in block in on_load’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/activesupport-3.2.13/lib/active_support/lazy_load_hooks.rb:25:in each' /home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/activesupport-3.2.13/lib/active_support/lazy_load_hooks.rb:25:in on_load’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/activerecord-3.2.13/lib/active_record/railtie.rb:74:in block in <class:Railtie>' /home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/railties-3.2.13/lib/rails/initializable.rb:30:in instance_exec’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/railties-3.2.13/lib/rails/initializable.rb:30:in run' /home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/railties-3.2.13/lib/rails/initializable.rb:55:in block in run_initializers’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/railties-3.2.13/lib/rails/initializable.rb:54:in each' /home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/railties-3.2.13/lib/rails/initializable.rb:54:in run_initializers’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/railties-3.2.13/lib/rails/application.rb:136:in initialize!' /home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/railties-3.2.13/lib/rails/railtie/configurable.rb:30:in method_missing’
/home/git/gitlab/config/environment.rb:5:in <top (required)>' /home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/backports-3.3.2/lib/backports/tools.rb:328:in require’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/backports-3.3.2/lib/backports/tools.rb:328:in require_with_backports' /home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:251:in block in require’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:236:in load_dependency' /home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/activesupport-3.2.13/lib/active_support/dependencies.rb:251:in require’
/home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/railties-3.2.13/lib/rails/application.rb:103:in require_environment!' /home/git/gitlab/vendor/bundle/ruby/2.0.0/gems/railties-3.2.13/lib/rails/application.rb:297:in block (2 levels) in initialize_tasks’
Tasks: TOP => db:migrate:status => environment
(See full trace by running task with --trace)
yes
GitLab config exists? … yes
GitLab config outdated? … no
Log directory writable? … yes
Tmp directory writable? … yes
Init script exists? … yes
Init script up-to-date? … yes
projects have namespace: … can’t check, you have no projects
Projects have satellites? … can’t check, you have no projects
Redis version >= 2.0.0? … yes
Your git bin path is “/usr/bin/git”
Git version >= 1.7.10 ? … yes (2.11.1)

Checking GitLab … Finished